docker files and integrations

# idhub

## build

```sh
# clone or get latest versions of repos
./pull-repos.sh
# rebuild idhub locally
./idhub_build.sh
```

in production, use `./idhub_build.sh prod` to enable detaching

TODO: incorporate to general docker compose

# deploy everything in localhost

note: right now the same applies for localhost and reachable deployments

```
docker compose up
```

# building and deploying new docker images

```
make docker
```

# dev

if you want to enter a shell inside a new container:

```
docker run -it --entrypoint= ${target_docker_image} bash
```

if you want to enter a shell on already running container:

```
docker exec -it ${target_docker_image} bash
```
